$spacing: 1rem;
$bg-light: #f8f9fa;
$border-radius: 0.375rem;

.container {
  margin-top: $spacing * 2.5;
  margin-bottom: $spacing * 2.5;
  padding-left: $spacing * 1.5;
  padding-right: $spacing * 1.5;
  background-color: $bg-light;
  border-radius: $border-radius;

  .cart-container {
    padding-top: $spacing;
    padding-bottom: $spacing;

    .cart-btn-close {
      position: relative;
      float: right;
      font-size: 1.5rem;
      font-weight: 700;
      line-height: 1;
      color: #000;
      text-shadow: 0 1px 0 #c81818;
      opacity: 0.5;
    }

    .cart-float-end {
      float: right;
    }
  }

  .cart-items {
    display: flex;
    justify-content: center;

    .cart-item {
      flex: 0 0 33%;
      max-width: 33%;

      .custom-lead {
        font-size: 1.25rem;
        font-weight: bold;
      }

      button {
        display: inline-block;
        padding: 0.5rem $spacing;
        font-size: $spacing;
        font-weight: 400;
        line-height: 1.5;
        text-align: center;
        text-decoration: none;
        vertical-align: middle;
        cursor: pointer;
        user-select: none;
        background-color: #6c757d;
        border: 1px solid #6c757d;
        color: #fff;
        border-radius: 0.25rem;
        transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
          border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
        margin: $spacing;
        &:hover {
          background-color: #5a6268;
          border-color: #545b62;
        }

        &:focus {
          outline: 0;
          box-shadow: 0 0 0 0.25rem rgba(108, 117, 125, 0.5);
        }

        &.disabled,
        &:disabled {
          opacity: 0.65;
          pointer-events: none;
        }
      }
    }
  }
}

.empty-cart-container {
  padding-left: $spacing;
  padding-right: $spacing;
  margin-top: 3rem;
  margin-bottom: 3rem;
  background-color: $bg-light;
  border-radius: 0.3rem;
  padding-top: 3rem;
  padding-bottom: 3rem;

  div {
    max-width: 100%;
    padding-right: $spacing;
    padding-left: $spacing;
    margin-right: auto;
    margin-left: auto;
  }
}
